org.springframework.cloud.dataflow.rest.client.dsl

## Class Stream.StreamDescriptionBuilder

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.client.dsl.Stream.StreamDescriptionBuilder

- Enclosing class:
    Stream

      public static class Stream.StreamDescriptionBuilder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addApplication(StreamApplication application)`
    `protected StreamDefinition` | `create()` Creates the Stream.
    `Stream.StreamDefinitionBuilder` | `definition(String definiton)` Creates a Stream bypassing the fluent API and just using the provided definition
    `Stream.SourceBuilder` | `source(StreamApplication source)` Appends a `StreamApplication` as a source for this stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### source

          public Stream.SourceBuilder source(StreamApplication source)

      Appends a `StreamApplication` as a source for this stream
      Parameters:
        `source` - - The `StreamApplication` being added
      Returns:
        a `Stream.SourceBuilder` to continue the building of the Stream

    - #### definition

          public Stream.StreamDefinitionBuilder definition(String definiton)

      Creates a Stream bypassing the fluent API and just using the provided definition
      Parameters:
        `definiton` - the Stream definition to use
      Returns:
        A `Stream` object

    - #### create

          protected StreamDefinition create()

      Creates the Stream. This method will invoke the remote server and create a stream
      Returns:
        StreamDefinition to allow deploying operations on the created Stream

    - #### addApplication

          protected void addApplication(StreamApplication application)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.